<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_HotelCommunication StructType
 * @subpackage Structs
 */
class JP_HotelCommunication extends AbstractStructBase
{
    /**
     * The MessagingCenterUrl
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $MessagingCenterUrl;
    /**
     * Constructor method for JP_HotelCommunication
     * @uses JP_HotelCommunication::setMessagingCenterUrl()
     * @param string $messagingCenterUrl
     */
    public function __construct($messagingCenterUrl = null)
    {
        $this
            ->setMessagingCenterUrl($messagingCenterUrl);
    }
    /**
     * Get MessagingCenterUrl value
     * @return string|null
     */
    public function getMessagingCenterUrl()
    {
        return $this->MessagingCenterUrl;
    }
    /**
     * Set MessagingCenterUrl value
     * @param string $messagingCenterUrl
     * @return \StructType\JP_HotelCommunication
     */
    public function setMessagingCenterUrl($messagingCenterUrl = null)
    {
        // validation for constraint: string
        if (!is_null($messagingCenterUrl) && !is_string($messagingCenterUrl)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($messagingCenterUrl, true), gettype($messagingCenterUrl)), __LINE__);
        }
        $this->MessagingCenterUrl = $messagingCenterUrl;
        return $this;
    }
}
